Subject: bug#58545: 28.2; Toolbar icons missing until X server is restarted

From: Po Lu <[email-masked]>
Date: Tue, 18 Oct 2022 08:39:44 +0800

Xuanrui Qi <[email-masked]> writes:

>> just the window manager
> Yes, you are right, I was restarting the window manager. Alternatively, altering
> any of the theme settings also cause icons to appear properly, probably because
> all windows are reloaded.
>
>> What about the GTK icon browser?
> Everything seems to work and in particular there are no missing icons.

That's odd, but there I really don't know what may be going on, seeing
as I can't reproduce it here.

For the time being, you can set x-gtk-stock-map to nil in early-init.el,
to make Emacs use its own toolbar icons.